#
# spec file for sg_utils
# 
# please send bugfixes or comments to dgilbert@interlog.com
#

Summary: Utils for Linux's SCSI generic driver, raw devices + iso9660
Name: sg_utils
Version: 0.90
Release: 1
Packager: dgilbert@interlog.com
License: GPL
Group: Utilities/System
Source: ftp://www.torque.net/sg/p/sg_utils-0.90.tgz
Url: http://www.torque.net/sg/u_index.html
Provides: sg_utils

%description
Collection of small useful tools, that are based on the Linux SCSI generic
(sg) interface and give info on the SCSI bus, copy data,... The utilities
to copy data are based on the Unix dd command and are called sg_dd and
sgp_dd. These 2 commands can also act on raw devices (e.g. /dev/raw/raw1).
The isosize utility for sizing iso9660 file systems is also included.

Warning: Some of these tools access the internals of your system and a
wrong usage of them may render your system inoperable.

Authors:
--------
    Doug Gilbert <dgilbert@interlog.com>
    Kurt Garloff <garloff@suse.de>  [sg_test_rwbuff]
    Andries Brouwer <Andries.Brouwer@cwi.nl>  [isosize]
    Peter Allworth  [contribution to sg_dd and sgp_dd]

%prep
%setup

%build
make

%install
make install INSTDIR=%{_bindir} MANDIR=%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(-,root,root) %doc README CHANGELOG INSTALL
%attr(755,root,root) %{_bindir}/sg_dd
%attr(755,root,root) %{_bindir}/sg_whoami
%attr(755,root,root) %{_bindir}/sg_debug
%attr(755,root,root) %{_bindir}/sg_inq
%attr(755,root,root) %{_bindir}/sg_scan
%attr(755,root,root) %{_bindir}/sg_rbuf
%attr(755,root,root) %{_bindir}/sginfo
%attr(755,root,root) %{_bindir}/sg_runt_ex
%attr(755,root,root) %{_bindir}/sg_simple1
%attr(755,root,root) %{_bindir}/sg_simple2
%attr(755,root,root) %{_bindir}/sg_readcap
%attr(755,root,root) %{_bindir}/scsi_inquiry
%attr(755,root,root) %{_bindir}/sgp_dd
%attr(755,root,root) %{_bindir}/sg_map
%attr(755,root,root) %{_bindir}/sg_turs
%attr(755,root,root) %{_bindir}/sg_test_rwbuf
%attr(755,root,root) %{_bindir}/isosize
%attr(-,root,root) %doc %{_mandir}/man8/sg_dd.8.gz
%attr(-,root,root) %doc %{_mandir}/man8/sgp_dd.8.gz
 

%changelog
* Mon Dec 11 2000 - dgilbert@interlog.com
- Initial creation of package, containing
  * sg_utils-0.90
